/**********************************************************************
 *
 * cgiwrapper.h -- windows local library cgiwrapper
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * A component of the Greenstone digital library software
 * from the New Zealand Digital Library Project at the
 * University of Waikato, New Zealand.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *********************************************************************/

#ifndef CGIWRAPPER_H
#define CGIWRAPPER_H

#include "httpreq.h"
#include "locate.h"
#include "receptionist.h"

// the number of times the library has been accessed
extern int libaccessnum;

int ExamineURIStr(text_t &URIStr,RequestInfoT *RequestInfo,
		  RequestFieldsT *RequestFields);

// reads any configure file that has been set up and
// sets up the library
// returns 1 if successful, 0 if unsuccessful
int gsdl_init ();

// returns 0 if the directories cant be found
// and the user wants to quit (it returns 1
// if everything is ok)
int cstrcheckdir (char *cstrthedir);

#endif
